#include "mainwidget.h"
#include "ui_mainwidget.h"

MainWidget::MainWidget(QWidget *parent) :
    QWidget(parent),
    ui(new Ui::MainWidget)
{
    //Инициализация объектов, добавленных через редактор QDesigner
    ui->setupUi(this);

    //Статическая функция соединения сигнала виджета кнопки с пользовательским слотом объекта MainWidget
    //тип и порядок аргументоа сигнала и слота должны совпадать
    QObject::connect(ui->pushButton, SIGNAL(clicked()), this, SLOT(showText()));
    //Соединение уже существующих сигналов и слотов стандартных виджетов
    QObject::connect(ui->horizontalSlider, SIGNAL(valueChanged(int)), ui->lcdNumber, SLOT(display(int)));
}

MainWidget::~MainWidget()
{
    //Удаление объектов класса
    delete ui;
}

void MainWidget::showText()
{
    //реализация функционала слота
    //(в данном случае вывод текста на ярлыке)
    ui->label->setText("Hello QT!");
}
